/**
 * Created on 26.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Builder.example;

import javax.swing.ImageIcon;

public class OiltankerShipyard extends Shipyard
{
	private	Oiltanker	itsShip;
	
	public OiltankerShipyard(){
		setCreatePartsIcon( new ImageIcon(getClass().getClassLoader().getResource("images/createOiltanker.gif")));
		setShipyardIcon( new ImageIcon(getClass().getClassLoader().getResource("images/getOiltanker.gif")));
	}
	
	public void buildShip(){
		itsShip	= new Oiltanker();
	}
	
	public void buildHull(){
		itsShip.setHull( new SteelHull());
	}
	
	public void buildEngine(){
		itsShip.setEngine( new DieselEngine());
	}
	
	public Oiltanker getShip(){
		return itsShip;
	}
}
