/**
 * Created on 26.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Builder.example;

public class ShipManufacturer
{

	/**
	 *  
	 * @uml.property name="itsShipyard"
	 * @uml.associationEnd aggregation="aggregate" inverse="shipDealer:de.unirostock.Builder.example.Shipyard" multiplicity="(1 1)"
	 */
	private Shipyard itsShipyard;

	public ShipManufacturer( Shipyard shipyard ) {
		itsShipyard = shipyard;
	}

	public void construct() {
		itsShipyard.buildShip();
		itsShipyard.buildHull();
		itsShipyard.buildEngine();
	}

}
