/**
 * Created on 26.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Builder.example;

import javax.swing.ImageIcon;

public abstract class Shipyard
{
	private ImageIcon	itsCreatePartsIcon;
	private ImageIcon	itsShipyardIcon;
	
	public abstract void buildShip();
	public void buildHull(){}
	public void buildEngine(){}
	
	public void setCreatePartsIcon( ImageIcon createPartsIcon ){
		itsCreatePartsIcon	= createPartsIcon;
	}
	
	public void setShipyardIcon( ImageIcon shipyardIcon ){
		itsShipyardIcon	= shipyardIcon;
	}
		
	public ImageIcon getCreatePartsIcon(){
		return itsCreatePartsIcon;
	}
	
	public ImageIcon getShipyardIcon(){
		return itsShipyardIcon;
	}
}
