/**
 * Created on 26.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Builder.example;

import javax.swing.ImageIcon;

public class ToyShipyard extends Shipyard 
{
	private	OiltankerToy	itsShip;
	
	public ToyShipyard(){
		setCreatePartsIcon( new ImageIcon(getClass().getClassLoader().getResource("images/createOiltankerToy.gif")));
		setShipyardIcon( new ImageIcon(getClass().getClassLoader().getResource("images/getOiltankerToy.gif")));
	}
	
	public void buildShip(){
		itsShip	= new OiltankerToy();
	}
	
	public void buildHull(){
		itsShip.setHull( new PlasticHull());
	}
	
	public void buildEngine(){
		itsShip.setEngine( new WindUpEngine());
	}
	
	public OiltankerToy getShip(){
		return itsShip;
	}
}
