package de.unirostock.Builder.example.gui;

import java.awt.BorderLayout;

import javax.swing.ImageIcon;
import javax.swing.JLabel;

import de.unirostock.Builder.example.ShipManufacturer;
import de.unirostock.Builder.example.Shipyard;


public class CreatePartsPanel extends javax.swing.JPanel 
{
	private JLabel itsImageLabel;

	private ImageIcon	itsToyIcon;
	private ImageIcon	itsShipIcon;
	
	public CreatePartsPanel() {
		super();
		initGUI();
	}
	
	public void init( Shipyard shipyard ){
		itsImageLabel.setIcon( shipyard.getCreatePartsIcon());
		ShipManufacturer	m	= new ShipManufacturer( shipyard );
		m.construct();
	}
	
	private void initGUI() {
		try {
			this.setPreferredSize(new java.awt.Dimension(500, 300));
			BorderLayout thisLayout = new BorderLayout();
			this.setLayout(thisLayout);
			this.setBackground(new java.awt.Color(250,248,238));
			{
				itsImageLabel = new JLabel();
				this.add(itsImageLabel, BorderLayout.CENTER);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
