/**
 * Created on 26.03.2005
 *
 * @author Jens Guenther
 */
package de.unirostock.Builder.example;

public class ShipManufacturer
{
	private Shipyard itsShipyard;

	public ShipManufacturer( Shipyard shipyard ) {
		itsShipyard = shipyard;
	}

	public void construct() {
		itsShipyard.buildShip();
		itsShipyard.buildHull();
		itsShipyard.buildEngine();
	}

}
